#[doc = "Register `CSD_TRIM2_HVIDAC` reader"]
pub struct R(crate::R<CSD_TRIM2_HVIDAC_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<CSD_TRIM2_HVIDAC_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<CSD_TRIM2_HVIDAC_SPEC>> for R {
    fn from(reader: crate::R<CSD_TRIM2_HVIDAC_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `CSD_TRIM2_HVIDAC` writer"]
pub struct W(crate::W<CSD_TRIM2_HVIDAC_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<CSD_TRIM2_HVIDAC_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<CSD_TRIM2_HVIDAC_SPEC>> for W {
    fn from(writer: crate::W<CSD_TRIM2_HVIDAC_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `TRIM8` reader - Trim data"]
pub struct TRIM8_R(crate::FieldReader<u8, u8>);
impl TRIM8_R {
    pub(crate) fn new(bits: u8) -> Self {
        TRIM8_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for TRIM8_R {
    type Target = crate::FieldReader<u8, u8>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `TRIM8` writer - Trim data"]
pub struct TRIM8_W<'a> {
    w: &'a mut W,
}
impl<'a> TRIM8_W<'a> {
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub unsafe fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !0xff) | (value as u8 & 0xff);
        self.w
    }
}
impl R {
    #[doc = "Bits 0:7 - Trim data"]
    #[inline(always)]
    pub fn trim8(&self) -> TRIM8_R {
        TRIM8_R::new((self.bits & 0xff) as u8)
    }
}
impl W {
    #[doc = "Bits 0:7 - Trim data"]
    #[inline(always)]
    pub fn trim8(&mut self) -> TRIM8_W {
        TRIM8_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "CSD Trim Data for HVIDAC operation\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [csd_trim2_hvidac](index.html) module"]
pub struct CSD_TRIM2_HVIDAC_SPEC;
impl crate::RegisterSpec for CSD_TRIM2_HVIDAC_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [csd_trim2_hvidac::R](R) reader structure"]
impl crate::Readable for CSD_TRIM2_HVIDAC_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [csd_trim2_hvidac::W](W) writer structure"]
impl crate::Writable for CSD_TRIM2_HVIDAC_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets CSD_TRIM2_HVIDAC to value 0"]
impl crate::Resettable for CSD_TRIM2_HVIDAC_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
